import request from '@/utils/request'

// 商品仓储信息列表
export function apiWarehouseProductLists(params: any) {
    return request.get({ url: '/warehouse_product/warehouseproduct/lists', params })
}

// 添加商品仓储信息
export function apiWarehouseProductAdd(params: any) {
    return request.post({ url: '/warehouse_product/warehouseproduct/add', params })
}

// 编辑商品仓储信息
export function apiWarehouseProductEdit(params: any) {
    return request.post({ url: '/warehouse_product/warehouseproduct/edit', params })
}

// 删除商品仓储信息
export function apiWarehouseProductDelete(params: any) {
    return request.post({ url: '/warehouse_product/warehouseproduct/delete', params })
}

// 商品仓储信息详情
export function apiWarehouseProductDetail(params: any) {
    return request.get({ url: '/warehouse_product/warehouseproduct/detail', params })
}
// 商品仓储信息确认
export function apiWarehouseProductEnter(params: any) {
    return request.post({ url: '/warehouse_product/warehouseproduct/enter', params })
}
//商品结算
export function apiWarehouseProductSettlement(params: any) {
    return request.post({ url: '/warehouse_product/warehouseproduct/settlement', params })
}
